HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete Profile with {providerProfileId}

You can delete a usage profile at any time. Use a HTTP DELETE with the {providerProfileId} in the URL. You will get the standard success or error response back. Be careful. This is a "hard" delete and your data is really purged. No going back!

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete a usage profile using your providerProfileId.

Use this endpoint when you store profile identifiers in your own system and want to avoid synchronizing Arcadia-generated profileId values. If you use Arcadia's profile identifier, use Delete Profile with profileId instead.

triangle-exclamation

Deleting a profile is a hard delete. The profile data is permanently removed and cannot be restored.

Resource URI

DELETE /rest/v1/profiles/pid/{providerProfileId}

Path parameters

ParameterTypeDescription
providerProfileIdStringYour unique identifier for the Profile object. Required.

Example

DELETE /rest/v1/profiles/pid/ELECTRICITY_RESIDENTIAL_CA_2012

A successful request returns the standard success response. For the full profile data model, profile workflow, and deletion behavior, see Profiles API.

{
  "status": "success",
  "count": 0,
  "type": "UsageProfile",
  "results": null
}
Path Params
string
required

This is your unique identifier chosen to represent the Profile object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json